indexing

	description:

		"A pair implementation since ISE's and SmartEiffel's tuples are not compatible and VisualEiffel has none at all"

	copyright: "Copyright (c) 2005, Julian Tschannen"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date$"
	revision: "$Revision$"

class PAIR [G, H]

create
	
	make

feature {NONE} -- Initialisation

	make (a_first: G; a_second: H) is
			-- Initialise pair with 'a_first' and 'a_second'.
		require
			a_first_not_void: a_first /= Void
			a_second_not_void: a_second /= Void
		do
			first := a_first
			second := a_second
		ensure
			first_set: first = a_first
			second_set: second = a_second
		end

feature -- Access

	first: G
			-- First element

	second: H
			-- Second element

invariant

	first_not_void: first /= Void
	second_not_void: second /= Void

end
